Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network92.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
92.0.0.0
Broadcast address
93.255.255.255
First usable
92.0.0.1
Last usable
93.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 5C000000 · Integer 1543503872 to 1577058303
Reverse DNS zones
92.in-addr.arpa
93.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011100.00000000.00000000.0000000092.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01011100.00000000.00000000.0000000092.0.0.0
Broadcast01011101.11111111.11111111.1111111193.255.255.255
Split into smaller subnets/14

92.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
192.0.0.0/1492.0.0.1 to 92.3.255.25492.3.255.255262,142
292.4.0.0/1492.4.0.1 to 92.7.255.25492.7.255.255262,142
392.8.0.0/1492.8.0.1 to 92.11.255.25492.11.255.255262,142
492.12.0.0/1492.12.0.1 to 92.15.255.25492.15.255.255262,142
592.16.0.0/1492.16.0.1 to 92.19.255.25492.19.255.255262,142
692.20.0.0/1492.20.0.1 to 92.23.255.25492.23.255.255262,142
792.24.0.0/1492.24.0.1 to 92.27.255.25492.27.255.255262,142
892.28.0.0/1492.28.0.1 to 92.31.255.25492.31.255.255262,142
992.32.0.0/1492.32.0.1 to 92.35.255.25492.35.255.255262,142
1092.36.0.0/1492.36.0.1 to 92.39.255.25492.39.255.255262,142
1192.40.0.0/1492.40.0.1 to 92.43.255.25492.43.255.255262,142
1292.44.0.0/1492.44.0.1 to 92.47.255.25492.47.255.255262,142
1392.48.0.0/1492.48.0.1 to 92.51.255.25492.51.255.255262,142
1492.52.0.0/1492.52.0.1 to 92.55.255.25492.55.255.255262,142
1592.56.0.0/1492.56.0.1 to 92.59.255.25492.59.255.255262,142
1692.60.0.0/1492.60.0.1 to 92.63.255.25492.63.255.255262,142
1792.64.0.0/1492.64.0.1 to 92.67.255.25492.67.255.255262,142
1892.68.0.0/1492.68.0.1 to 92.71.255.25492.71.255.255262,142
1992.72.0.0/1492.72.0.1 to 92.75.255.25492.75.255.255262,142
2092.76.0.0/1492.76.0.1 to 92.79.255.25492.79.255.255262,142
2192.80.0.0/1492.80.0.1 to 92.83.255.25492.83.255.255262,142
2292.84.0.0/1492.84.0.1 to 92.87.255.25492.87.255.255262,142
2392.88.0.0/1492.88.0.1 to 92.91.255.25492.91.255.255262,142
2492.92.0.0/1492.92.0.1 to 92.95.255.25492.95.255.255262,142
2592.96.0.0/1492.96.0.1 to 92.99.255.25492.99.255.255262,142
2692.100.0.0/1492.100.0.1 to 92.103.255.25492.103.255.255262,142
2792.104.0.0/1492.104.0.1 to 92.107.255.25492.107.255.255262,142
2892.108.0.0/1492.108.0.1 to 92.111.255.25492.111.255.255262,142
2992.112.0.0/1492.112.0.1 to 92.115.255.25492.115.255.255262,142
3092.116.0.0/1492.116.0.1 to 92.119.255.25492.119.255.255262,142
3192.120.0.0/1492.120.0.1 to 92.123.255.25492.123.255.255262,142
3292.124.0.0/1492.124.0.1 to 92.127.255.25492.127.255.255262,142
3392.128.0.0/1492.128.0.1 to 92.131.255.25492.131.255.255262,142
3492.132.0.0/1492.132.0.1 to 92.135.255.25492.135.255.255262,142
3592.136.0.0/1492.136.0.1 to 92.139.255.25492.139.255.255262,142
3692.140.0.0/1492.140.0.1 to 92.143.255.25492.143.255.255262,142
3792.144.0.0/1492.144.0.1 to 92.147.255.25492.147.255.255262,142
3892.148.0.0/1492.148.0.1 to 92.151.255.25492.151.255.255262,142
3992.152.0.0/1492.152.0.1 to 92.155.255.25492.155.255.255262,142
4092.156.0.0/1492.156.0.1 to 92.159.255.25492.159.255.255262,142
4192.160.0.0/1492.160.0.1 to 92.163.255.25492.163.255.255262,142
4292.164.0.0/1492.164.0.1 to 92.167.255.25492.167.255.255262,142
4392.168.0.0/1492.168.0.1 to 92.171.255.25492.171.255.255262,142
4492.172.0.0/1492.172.0.1 to 92.175.255.25492.175.255.255262,142
4592.176.0.0/1492.176.0.1 to 92.179.255.25492.179.255.255262,142
4692.180.0.0/1492.180.0.1 to 92.183.255.25492.183.255.255262,142
4792.184.0.0/1492.184.0.1 to 92.187.255.25492.187.255.255262,142
4892.188.0.0/1492.188.0.1 to 92.191.255.25492.191.255.255262,142
4992.192.0.0/1492.192.0.1 to 92.195.255.25492.195.255.255262,142
5092.196.0.0/1492.196.0.1 to 92.199.255.25492.199.255.255262,142
5192.200.0.0/1492.200.0.1 to 92.203.255.25492.203.255.255262,142
5292.204.0.0/1492.204.0.1 to 92.207.255.25492.207.255.255262,142
5392.208.0.0/1492.208.0.1 to 92.211.255.25492.211.255.255262,142
5492.212.0.0/1492.212.0.1 to 92.215.255.25492.215.255.255262,142
5592.216.0.0/1492.216.0.1 to 92.219.255.25492.219.255.255262,142
5692.220.0.0/1492.220.0.1 to 92.223.255.25492.223.255.255262,142
5792.224.0.0/1492.224.0.1 to 92.227.255.25492.227.255.255262,142
5892.228.0.0/1492.228.0.1 to 92.231.255.25492.231.255.255262,142
5992.232.0.0/1492.232.0.1 to 92.235.255.25492.235.255.255262,142
6092.236.0.0/1492.236.0.1 to 92.239.255.25492.239.255.255262,142
6192.240.0.0/1492.240.0.1 to 92.243.255.25492.243.255.255262,142
6292.244.0.0/1492.244.0.1 to 92.247.255.25492.247.255.255262,142
6392.248.0.0/1492.248.0.1 to 92.251.255.25492.251.255.255262,142
6492.252.0.0/1492.252.0.1 to 92.255.255.25492.255.255.255262,142
6593.0.0.0/1493.0.0.1 to 93.3.255.25493.3.255.255262,142
6693.4.0.0/1493.4.0.1 to 93.7.255.25493.7.255.255262,142
6793.8.0.0/1493.8.0.1 to 93.11.255.25493.11.255.255262,142
6893.12.0.0/1493.12.0.1 to 93.15.255.25493.15.255.255262,142
6993.16.0.0/1493.16.0.1 to 93.19.255.25493.19.255.255262,142
7093.20.0.0/1493.20.0.1 to 93.23.255.25493.23.255.255262,142
7193.24.0.0/1493.24.0.1 to 93.27.255.25493.27.255.255262,142
7293.28.0.0/1493.28.0.1 to 93.31.255.25493.31.255.255262,142
7393.32.0.0/1493.32.0.1 to 93.35.255.25493.35.255.255262,142
7493.36.0.0/1493.36.0.1 to 93.39.255.25493.39.255.255262,142
7593.40.0.0/1493.40.0.1 to 93.43.255.25493.43.255.255262,142
7693.44.0.0/1493.44.0.1 to 93.47.255.25493.47.255.255262,142
7793.48.0.0/1493.48.0.1 to 93.51.255.25493.51.255.255262,142
7893.52.0.0/1493.52.0.1 to 93.55.255.25493.55.255.255262,142
7993.56.0.0/1493.56.0.1 to 93.59.255.25493.59.255.255262,142
8093.60.0.0/1493.60.0.1 to 93.63.255.25493.63.255.255262,142
8193.64.0.0/1493.64.0.1 to 93.67.255.25493.67.255.255262,142
8293.68.0.0/1493.68.0.1 to 93.71.255.25493.71.255.255262,142
8393.72.0.0/1493.72.0.1 to 93.75.255.25493.75.255.255262,142
8493.76.0.0/1493.76.0.1 to 93.79.255.25493.79.255.255262,142
8593.80.0.0/1493.80.0.1 to 93.83.255.25493.83.255.255262,142
8693.84.0.0/1493.84.0.1 to 93.87.255.25493.87.255.255262,142
8793.88.0.0/1493.88.0.1 to 93.91.255.25493.91.255.255262,142
8893.92.0.0/1493.92.0.1 to 93.95.255.25493.95.255.255262,142
8993.96.0.0/1493.96.0.1 to 93.99.255.25493.99.255.255262,142
9093.100.0.0/1493.100.0.1 to 93.103.255.25493.103.255.255262,142
9193.104.0.0/1493.104.0.1 to 93.107.255.25493.107.255.255262,142
9293.108.0.0/1493.108.0.1 to 93.111.255.25493.111.255.255262,142
9393.112.0.0/1493.112.0.1 to 93.115.255.25493.115.255.255262,142
9493.116.0.0/1493.116.0.1 to 93.119.255.25493.119.255.255262,142
9593.120.0.0/1493.120.0.1 to 93.123.255.25493.123.255.255262,142
9693.124.0.0/1493.124.0.1 to 93.127.255.25493.127.255.255262,142
9793.128.0.0/1493.128.0.1 to 93.131.255.25493.131.255.255262,142
9893.132.0.0/1493.132.0.1 to 93.135.255.25493.135.255.255262,142
9993.136.0.0/1493.136.0.1 to 93.139.255.25493.139.255.255262,142
10093.140.0.0/1493.140.0.1 to 93.143.255.25493.143.255.255262,142
10193.144.0.0/1493.144.0.1 to 93.147.255.25493.147.255.255262,142
10293.148.0.0/1493.148.0.1 to 93.151.255.25493.151.255.255262,142
10393.152.0.0/1493.152.0.1 to 93.155.255.25493.155.255.255262,142
10493.156.0.0/1493.156.0.1 to 93.159.255.25493.159.255.255262,142
10593.160.0.0/1493.160.0.1 to 93.163.255.25493.163.255.255262,142
10693.164.0.0/1493.164.0.1 to 93.167.255.25493.167.255.255262,142
10793.168.0.0/1493.168.0.1 to 93.171.255.25493.171.255.255262,142
10893.172.0.0/1493.172.0.1 to 93.175.255.25493.175.255.255262,142
10993.176.0.0/1493.176.0.1 to 93.179.255.25493.179.255.255262,142
11093.180.0.0/1493.180.0.1 to 93.183.255.25493.183.255.255262,142
11193.184.0.0/1493.184.0.1 to 93.187.255.25493.187.255.255262,142
11293.188.0.0/1493.188.0.1 to 93.191.255.25493.191.255.255262,142
11393.192.0.0/1493.192.0.1 to 93.195.255.25493.195.255.255262,142
11493.196.0.0/1493.196.0.1 to 93.199.255.25493.199.255.255262,142
11593.200.0.0/1493.200.0.1 to 93.203.255.25493.203.255.255262,142
11693.204.0.0/1493.204.0.1 to 93.207.255.25493.207.255.255262,142
11793.208.0.0/1493.208.0.1 to 93.211.255.25493.211.255.255262,142
11893.212.0.0/1493.212.0.1 to 93.215.255.25493.215.255.255262,142
11993.216.0.0/1493.216.0.1 to 93.219.255.25493.219.255.255262,142
12093.220.0.0/1493.220.0.1 to 93.223.255.25493.223.255.255262,142
12193.224.0.0/1493.224.0.1 to 93.227.255.25493.227.255.255262,142
12293.228.0.0/1493.228.0.1 to 93.231.255.25493.231.255.255262,142
12393.232.0.0/1493.232.0.1 to 93.235.255.25493.235.255.255262,142
12493.236.0.0/1493.236.0.1 to 93.239.255.25493.239.255.255262,142
12593.240.0.0/1493.240.0.1 to 93.243.255.25493.243.255.255262,142
12693.244.0.0/1493.244.0.1 to 93.247.255.25493.247.255.255262,142
12793.248.0.0/1493.248.0.1 to 93.251.255.25493.251.255.255262,142
12893.252.0.0/1493.252.0.1 to 93.255.255.25493.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses